# Update Fixed Deposit

To update an existing fixed deposit account, you need to make a POST request to the specified endpoint, including the necessary URL path parameters. Additionally, you should pass the required payload in the request body, such as the existing fixed deposit `id` , `applicableInterestRate`,  and any other relevant fields that need to be updated.

<mark style="color:orange;">`PUT`</mark>` ``/api/fixeddepositaccount/v1/update`\
\
A successful request will return a confirmation message in the response.\
\
This process allows you to modify the details of an existing fixed deposit account.

**Headers**

| Name                                            | Value                |
| ----------------------------------------------- | -------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | `application/json`   |
| Authorization<mark style="color:red;">\*</mark> | `Bearer <token>`     |
| Request-Reference                               | `{unique-reference}` |

**Body**

<table><thead><tr><th width="174">Name</th><th width="174">Data Type (length)</th><th width="100" data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>true</td><td>The unique identifier for the fixed deposit (Guid)</td></tr><tr><td><code>useProductInterestRate</code></td><td>boolean</td><td>false</td><td>Set <code>true</code> to use the default interest rate of the product and false for no</td></tr><tr><td><code>applicableInterestCode</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(3)</em></a></td><td>false</td><td>The interest code should be applied if you are not using the product's default interest rate.</td></tr><tr><td><code>applicableInterestRate</code></td><td>integer</td><td>true</td><td>The interest rate to apply if not using the product's default<br><br><em><mark style="color:orange;">The percentage must be rounded to a maximum of three decimal places.</mark></em></td></tr><tr><td><code>partLiquidationCharge</code></td><td>integer</td><td>false</td><td>The charge applied if the fixed deposit is partially liquidated<br><br><em><mark style="color:orange;">The percentage must be rounded to a maximum of three decimal places.</mark></em></td></tr><tr><td><code>holdFundAtMaturity</code></td><td>boolean</td><td>false</td><td>Indicates whether to hold the funds in the account at maturity, Set true  for <code>yes</code> and <code>false</code> for no</td></tr><tr><td><code>applyRollover</code></td><td>boolean</td><td>false</td><td>Indicates whether to apply rollover at maturity</td></tr><tr><td><code>rolloverOption</code></td><td>string</td><td>false</td><td>The rollover option to apply <br><br>The enumerations are:<br><code>1</code> = RolloverPrincipalOnly<br><code>2</code> = RolloverPrincipalAndInterest</td></tr></tbody></table>

<details>

<summary>Sample Request</summary>

```json
curl --location -g --request PUT '{{baseurl}}/api/fixeddepositaccount/v1/update' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data '{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "useProductInterestRate": true,
  "applicableInterestCode": "string",
  "applicableInterestRate": 0,
  "partLiquidationCharge": 0,
  "holdFundAtMaturity": true,
  "applyRollover": true,
  "rolloverOption": "string"
}'
```

</details>

<details>

<summary>Respose: <code>200</code></summary>

```json
{
  "status": true,
  "message": "string"
}
```

</details>

[^1]: This is the maximum number of characters allowed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.udara360.io/udara360-docs-1/savings/fixed-deposits-api/update-fixed-deposit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
